<?php
function related (){

if ( 'cars' == get_post_type() ) {
    $taxs = get_the_terms( $post->ID , 'Features', 'string');
	$CarID = get_the_ID();
    if ( $taxs ) {
        $tax_ids = array();
        foreach( $taxs as $individual_tax ) $tax_ids[] = $individual_tax->term_id;
         
        $args = array(
    	'tax_query' => array(
        array(
            'taxonomy'  => 'Features',
            'terms'     => $tax_ids,
            'operator'  => 'IN'
        )
			),
			'post__not_in'          => array($CarID),
			'posts_per_page'        => 3,
			'ignore_sticky_posts'   => 1,
			'orderby'               => 'rand'
		);
         
        $my_query = new wp_query( $args );
         
        if( $my_query->have_posts() ) {
 
            $output = '<div id="relatedPost">Related Cars<br>';
 
            while ( $my_query->have_posts() ) :
                $my_query->the_post();
                $output .= '<div class="relatedCar">'; 
                $output .= '<div class="relatedPic"><a href="' . get_permalink() . '">' . get_the_post_thumbnail($page->ID, 'thumbnail') . ' </a></div>';
				$output .= '<div class="relatedTitle"><a href="' . get_permalink() . '">' . get_the_title() . ' </a></div>';
				$output .= '</div>';
 
            endwhile;
 
            $output .= '</div>';
 			echo $output;
        }
         
        wp_reset_query();
         
    }
}

} ?>