<?php 

add_action( 'widgets_init', create_function('', 'return register_widget("RecentWidget");') );
class RecentWidget extends WP_Widget {
	function RecentWidget()	{
		$widget_ops = array('classname' => 'RecentWidget', 'description' => 'Display Recent Cars' );
		$this->WP_Widget('RecentWidget', 'Recent Cars', $widget_ops);
	}
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'amount' => '') );
		$amount = $instance['amount'];
		echo '<p>
			<label for="'.$this->get_field_id('amount').'">
				Number of Cars to show: <input class="widefat" id="'. $this->get_field_id('amount') .'" name="'. $this->get_field_name('amount') .'" type="text" value="'. esc_attr($amount) .'" />
			</label>
		</p>';
	}
	function update($new_instance, $old_instance) { 
		$instance = $old_instance;
		$instance['amount'] = $new_instance['amount'];
		return $instance;
	}
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		echo $before_widget;
		$amount = empty($instance['amount']) ? ' ' : apply_filters('widget_title', $instance['amount']); 
		if($amount == '') {$amount = 3; }
		wp_enqueue_style( 'widgetStyle', ARSCRIPT.'../css/widget-style.css');?>
		<div id="carSidebar"> <div class="sideTitle"> New Arrivals </div><?php 
		$args = array(
			
			'post_type'      => 'cars',
			'order'    => 'DESC',
			'showposts' => $amount,
			
		);
		query_posts( $args );
		while (have_posts()) : the_post();
		?><div class="carPost"><a href="<?php the_permalink()?> "> <?php the_title()?></a> <br>
		<div class="sidePrice">$<?php echo (get_post_meta(get_the_ID(), 'car-price', 'true')); ?></div>
        </div>
		<?php  
		endwhile;?>
		</div><?php
		echo $after_widget;
	}
}
//////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'widgets_init', create_function('', 'return register_widget("featuredWidget");') );
class featuredWidget extends WP_Widget {
	function featuredWidget()	{
		$widget_ops = array('classname' => 'featuredWidget', 'description' => 'Display Featured Cars' );
		$this->WP_Widget('featuredWidget', 'Featured Cars', $widget_ops);
	}
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'amount' => '') );
		$amount = $instance['amount'];
		echo '<p>
			<label for="'.$this->get_field_id('amount').'">
				Number of Cars to show: <input class="widefat" id="'. $this->get_field_id('amount') .'" name="'. $this->get_field_name('amount') .'" type="text" value="'. esc_attr($amount) .'" />
			</label>
		</p>';
	}
	function update($new_instance, $old_instance) { 
		$instance = $old_instance;
		$instance['amount'] = $new_instance['amount'];
		return $instance;
	}
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		echo $before_widget;
		$amount = empty($instance['amount']) ? ' ' : apply_filters('widget_title', $instance['amount']); 
		if($amount == '') {$amount = 3; }
		wp_enqueue_style( 'widgetStyle', ARSCRIPT.'../css/widget-style.css');?>
		<div id="carSidebar"> <div class="sideTitle"> Featured Cars </div><?php 
		$args = array(
			
			'post_type'      => 'cars',
			'order'    => 'DESC',
			'showposts' => $amount,
			'meta_query' => array(
								array(
										'key' => 'car-featured',
										'value' => 'enabled',
									  )
								   )
		);
		query_posts( $args );
		while (have_posts()) : the_post();
		?><div class="carPost"><a href="<?php the_permalink()?> "> <?php the_title()?></a> <br>
		<div class="sidePrice">$<?php echo (get_post_meta(get_the_ID(), 'car-price', 'true')); ?></div>
        </div>
		<?php  
		endwhile;?>
		</div><?php
		echo $after_widget;
	}
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'widgets_init', create_function('', 'return register_widget("SearchWidget");') );
class SearchWidget extends WP_Widget {
	function SearchWidget()	{
		$widget_ops = array('classname' => 'SearchWidget', 'description' => 'Search Cars' );
		$this->WP_Widget('SearchWidget', 'Search Widget', $widget_ops);
	}
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'amount' => '') );
		$amount = $instance['amount'];
		echo '<p>
			<label for="'.$this->get_field_id('amount').'">
				Number of Cars to show: <input class="widefat" id="'. $this->get_field_id('amount') .'" name="'. $this->get_field_name('amount') .'" type="text" value="'. esc_attr($amount) .'" />
			</label>
		</p>';
	}
	function update($new_instance, $old_instance) { 
		$instance = $old_instance;
		$instance['amount'] = $new_instance['amount'];
		return $instance;
	}
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		echo $before_widget;
		ar_searchWidget();
		echo $after_widget;
	}
}

