<?php /*----------------------------------------------------//

This page creates and calls all the function relavent to the
cutom post meta boxes.

//----------------------------------------------------------*/
$meta_box['page'] = array( //We create an array called $meta_box and set the array key to the relevant post type
		'id' => 'listing-details', //This is the id applied to the meta box
		'title' => 'Listing Details', //This is the title that appears on the meta box container
		'context' => 'normal', //This defines the part of the page where the edit screen section should be shown
		'priority' => 'high', //This sets the priority within the context where the boxes should show   
		'fields' => array( //Here we define all the fields we want in the meta box
			////////////////////////////MAP///////////////////////////////////////////////		

			
			///////////////GENERAL SETTINGS ////////////////////////
			array(
				'name' => 'Cars Page',
				'desc' => 'Select "yes" if you want to use this page to list all of your cars',
				'id' => 'carPage',
				'type' => 'select',
				'options' => array (
				'No' => 'No',
				'Yes' => 'Yes',				
				),
				'default' => ''
			),
			array(
				'name' => 'Cars Pages',
				'desc' => 'How many cars would you like to display per page.',
				'id' => 'carPages',
				'type' => 'select',
				'options' => array (
				'4' => '4',
				'8' => '8',
				'10' => '10',
				'20' => '20',			
				),
				'default' => ''
			),			));
			
$meta_box['cars'] = array( //We create an array called $meta_box and set the array key to the relevant post type
		'id' => 'listing-details', //This is the id applied to the meta box
		'title' => 'Listing Details', //This is the title that appears on the meta box container
		'context' => 'normal', //This defines the part of the page where the edit screen section should be shown
		'priority' => 'high', //This sets the priority within the context where the boxes should show   
		'fields' => array( //Here we define all the fields we want in the meta box
			////////////////////////////MAP///////////////////////////////////////////////		

			
			///////////////GENERAL SETTINGS ////////////////////////
			array(
				'name' => 'General_Settings',
				'desc' => '',
				'id' => 'ar-new2',
				'type' => 'newArea',
				'default' => '',
				'enabled' => '',
			),
			array(
				'name' => 'Price',
				'desc' => 'No special characters here ("$" "," ".") the plugin will auto format the number.',
				'id' => 'car-price',
				'type' => 'text',
				'default' => ''
			),	
			array(
				'name' => 'Stock_Number',
				'desc' => 'The ID number associated with this Car.',
				'id' => 'car-stock-number',
				'type' => 'text',
				'default' => ''
			),
			array(
				'name' => 'Year',
				'desc' => 'The year of the model.',
				'id' => 'car-year',
				'type' => 'text',
				'default' => ''
			),
			array(
				'name' => 'Miles',
				'desc' => 'The amount of miles on this car.',
				'id' => 'car-miles',
				'type' => 'text',
				'default' => ''
			),
			array(
				'name' => 'Condition',
				'desc' => 'The amount of miles on this car.',
				'id' => 'car-con',
				'type' => 'select',
				'options' => array (
				'New' => 'New',
				'Used' => 'Used'
				),
				'default' => ''
			),	
			array(
				'name' => 'Featured',
				'desc' => 'Is this car Featured.',
				'id' => 'car-featured',
				'type' => 'checkbox',
				),
			array(
				'name' => 'Ribbon',
				'desc' => 'The ribbon that displays on the listing page',
				'id' => 'car-ribbon',
				'type' => 'select',
				'options' => array (
				'Diagonal' => 'Diagonal',
				'Corner' => 'Corner',
				'Badge' => 'Badge',
				'Verticle' => 'Verticle',
				'Horizontal' => 'Horizontal',
				),
				'default' => ''
			),
			array(
				'name' => 'Trades Accepted',
				'desc' => 'Are trades accepted on this car',
				'id' => 'car-trade',
				'type' => 'select',
				'options' => array(
				'Yes' => 'Yes',
				'No' => 'No',			
				),
				'default' => ''
			),				

			
			///////////////PROPERTY ////////////////////////
			array(
				'name' => 'Features',
				'desc' => '',
				'id' => 'ar-new',
				'type' => 'newArea',
				'default' => '0'
			),
						array(
				'name' => 'MPG',
				'desc' => 'Miles per gallon',
				'id' => 'car-mpg',
				'type' => 'text',
				'default' => ''
			),
			array(
				'name' => 'Transmission',
				'desc' => 'Does the house have an attached garage',
				'id' => 'car-tran',
				'type' => 'select',
				'options' => array (
				'Manual' => 'Manual',
				'Automatic' =>'Automatic'
				)
				
				),
			array(
				'name' => 'Seating',
				'desc' => 'Seating avaible',
				'id' => 'car-seat',
				'type' => 'text',				
				),
			array(
				'name' => 'Engine Type',
				'desc' => 'The Type of the Engine',
				'id' => 'engineType',
				'type' => 'text',				
				),
			array(
				'name' => 'Arrangement',
				'desc' => 'The arrangement of the Engine',
				'id' => 'carArg',
				'type' => 'text',				
				),
			array(
				'name' => 'Bore and Stroke',
				'desc' => 'The Bore and Stroke of the Engine',
				'id' => 'carBor',
				'type' => 'text',				
				),
			array(
				'name' => 'Displacement',
				'desc' => 'The displacement of the Engine',
				'id' => 'carDis',
				'type' => 'text',				
				),
			array(
				'name' => 'Compression Ratio',
				'desc' => 'The Compression Ratio of the Engine',
				'id' => 'carCom',
				'type' => 'text',				
				),
			array(
				'name' => 'Horsepower',
				'desc' => 'The Horsepower of the car',
				'id' => 'carHor',
				'type' => 'text',				
				),
			array(
				'name' => 'Fuel Capactiy (L)',
				'desc' => 'The Fuel Capactiy (L) of the car',
				'id' => 'carFCap',
				'type' => 'text',				
				),								
			array(
				'name' => 'VIN',
				'desc' => 'The VIN number of the vechile',
				'id' => 'car-vin',
				'type' => 'text',				
				),	
			array(
				'name' => 'Vehicle_Type',
				'desc' => 'What kind of vehicle is this',
				'id' => 'carType',
				'type' => 'select',
				'options' => array (
				'Sedan' => 'Sedan',
				'Convertible' => 'Convertible',
				'SUV' => 'SUV',
				'Truck' => 'Truck',
				'Sport' => 'Sport',
				'Cross Over' => 'Cross Over',
				'hybrid' => 'hybrid',
				),				
				),
			array(
				'name' => 'Torque',
				'desc' => 'Torque of the engine',
				'id' => 'carInt',
				'type' => 'text',				
				'default' => ''
			),
			array(
				'name' => 'Exterior Color',
				'desc' => 'Color of the Car', 
				'id' => 'carExt',
				'type' => 'text',				
				'default' => ''
			),
			array(
				'name' => 'Interior Color',
				'desc' => 'Color of the Interior',
				'id' => 'carTor',
				'type' => 'text',				
				'default' => ''
			),
			array(
				'name' => 'Drive',
				'desc' => 'Drive of the car',
				'id' => 'carDrv',
				'type' => 'text',				
				'default' => ''
			),
			array(
				'name' => 'Trim',
				'desc' => 'Trim of the Car',
				'id' => 'carTrm',
				'type' => 'text',				
				'default' => ''
			),					
			array(
				'name' => 'Cylinders',
				'desc' => 'How many Cylinders does the engine have.',
				'id' => 'carCy',
				'type' => 'text',
				'default' => ''
			),
			array(
				'name' => 'Engine_Size',
				'desc' => 'How Big is the engline in L',
				'id' => 'carEng',
				'type' => 'text',
				'default' => ''
			),
			
			array(
				'name' => 'Feul_Grade',
				'desc' => 'Type of gas in engine',
				'id' => 'carGas',
				'type' => 'select',
				'options' => array(
				'Gas' => 'Gas',
				'Disel' => 'Disel',
				'Ethanol' => 'Ethanol',
				'Hydrogen' => 'Hydrogen',				
				),
			
			),
				
			
	////////////////////////// BULIDING ///////////////////////////
			array(
				'name' => 'Video',
				'desc' => '',
				'id' => 'ar-new3',
				'type' => 'newArea',
				'default' => '0'
			),
			array(
				'name' => 'Video',
				'desc' => 'Video Link',
				'id' => 'carVSTE',
				'type' => 'select',
				'options' => array(
				'None' => 'None',
				'Youtube' => 'Youtube',
				),
				'default' => ''
			),
						array(
				'name' => 'Video_ID',
				'desc' => 'Site Video ID',
				'id' => 'carvidID',
				'type' => 'text',
				'default' => ''
			),
				
			array(
				'name' => 'Extra',
				'desc' => 'All the other stuff',
				'id' => 'extra',
				'type' => 'newArea',
			),
			array(
				'name' => 'File',
				'desc' => 'Upload a file that users can view/Download',
				'id' => 'file-upload',
				'type' => 'upload',
			),
			array(
				'name' => 'File_Type',
				'desc' => 'what kind of file is this',
				'id' => 'ar-file-type',
				'type' => 'select',
				'options' => array(
				'PDF' => 'PDF',
				'DOC' => 'DOC',
				'TXT' => 'TXT',
				'JPEG' => 'JPEG',
				'ZIP' => 'ZIP',
				'RAR' => 'RAR',				
				),
				'default' => ''
			),	
			
/////////////////////////////////////////////////////////////////////////////////////
			
			

			
			
		)
	);

add_action('admin_menu', 'listing_add_box');

update_option( 'meta_boxes', $meta_box );

//Add meta boxes to post types
function listing_add_box() {
	global $meta_box;
	foreach($meta_box as $post_type => $value) {
		add_meta_box($value['id'], $value['title'], 'listing_format_box', $post_type, $value['context'], $value['priority']);
	}
}

//Format meta boxes
function listing_format_box() {
	global $meta_box, $post;
?>
<link href='http://fonts.googleapis.com/css?family=Oswald|Ubuntu' rel='stylesheet' type='text/css'>	
 <?php $meta_box = get_option('meta_boxes');
		$status = get_option('ar_status');
			foreach( $meta_box['cars']['fields'] as $value){
				$arr[$value['name']] = $status[$value['name']]; 
			}
			$disabl = array();
			foreach ($arr as $key => $value){
				if ($value == 'disabl'){
						$disabl[$key] = $value;
					}
				}				
				?>
				
                <?php 
				 include('meta-libs/meta-js.php');
                 wp_enqueue_style( 'meta-css' , '/wp-content/plugins/wp-RealEstate/post-type/meta-libs/meta-css.css' );
				 wp_enqueue_style( 'meta-css-overcast' , '/wp-content/plugins/wp-RealEstate/post-type/meta-libs/meta-css-cast.css' );
				
				 ?>
                 <script type="text/javascript">
				jQuery(document).ready(function (){
				  jQuery(".checkboxSlide").iButton();
				});
				jQuery(document).ready(function (){
				  jQuery(".checkboxSlide2").iButton({
					  labelOn: "AM"
 					 , labelOff: "PM"
					  });
				});
				</script>
                <script>
					jQuery(function() {
						jQuery( "#ar-open-house-date" ).datepicker();
					});
					jQuery(document).ready(function() {
							jQuery(".tag-click-ar-extFinish").click(function () {
									var clickTag = jQuery(this).attr("id");
									var preset = jQuery(".Exterior_Finish").val(); // want to do more than one? add it to the preset list over there <-
									jQuery(".Exterior_Finish").attr("value", clickTag +", "+ preset);
									
									if (jQuery(this).hasClass("exitClass")) { 
										var parseInput = preset;
										parseInput = parseInput.replace(clickTag+',', '');
										jQuery(".Exterior_Finish").val(parseInput);
										jQuery(this).removeClass("exitClass");
										jQuery(this).children().hide();

									}else {
										jQuery(this).addClass("exitClass");
										jQuery(this).append("<div class = 'exitIcon'> X </span>")}
							})
							///////////////////////////////////////////////////////////////////////////////
							jQuery(".tag-click-ar-flooring").click(function () {
									var clickTag = jQuery(this).attr("id");
									var preset = jQuery(".Flooring").val(); // want to do more than one? add it to the preset list over there <-
									jQuery(".Flooring").attr("value", clickTag +" "+ preset);
									
									if (jQuery(this).hasClass("exitClass")) { 
										var parseInput = preset;
										parseInput = parseInput.replace(clickTag, '');
										jQuery(".Flooring").val(parseInput);
										jQuery(this).removeClass("exitClass");
										jQuery(this).children().hide();

									}else {
										jQuery(this).addClass("exitClass");
										jQuery(this).append("<div class = 'exitIcon'> X </span>")}
							})
							
								
							//////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
							jQuery(".cb-enable").click(function(){
							jQuery(".Check_Box").attr("checked","checked")	
							var parent = jQuery(this).parents('.switch');
							jQuery('.cb-disable',parent).removeClass('selected');
							jQuery(this).addClass('selected');
							jQuery('.checkbox',parent).attr('checked', true);
						});
						jQuery(".cb-disable").click(function(){
							jQuery(".Check_Box").attr("checked","")
							var parent = jQuery(this).parents('.switch');
							jQuery('.cb-enable',parent).removeClass('selected');
							jQuery(this).addClass('selected');
							jQuery('.checkbox',parent).attr('checked', false);
						});		
									<?php 
									$keys = array();
									foreach($disabl as $key => $value)
									$keys[] = $key;
									$key = implode(', .', $keys);
									if ($key == '.') {
										$key = '';
										};
									?>
									
									var keys = "<?php if ($key == '') {}elseif ($key != '') {echo '.';}?><?php echo $key;?>";
									jQuery (keys).attr("value", "").closest(".boxes").hide(); // removes the input boxes that are specifed from the "settings pages"
									jQuery('.newArea').parent().parent().removeClass('boxes').addClass('clear'); // removes the clear class from the boxes that do not need them 
									jQuery('.roomArea').parent().parent().removeClass('boxes').addClass('roomArea'); // removes the class box from the room area boxes 
								
							jQuery('.add').click(function(){ // This is the ADD button for the rooms									
									jQuery(this).parent().parent().parent().next().show("slow");
									jQuery(this).parent().parent().next().next().after('<div class="clear"> </div>');
									jQuery(this).hide();
								})
							jQuery('.remove').click(function(){		// this is the remove funtion for the room section
									jQuery(this).parent().parent().next().next().children(".box-content").children("input").attr("value", "");								
									jQuery(this).parent().parent().parent().hide("slow");
									jQuery(this).parent().parent().parent().prev().children().eq(0).children().eq(1).children().eq(0).show("slow");
									jQuery(this).parent().parent().next().next().after('<div class="clear"> </div>');
									var lengh = jQuery('.roomArea').nextUntil('.clear').filter(':visible').length;
									if (lengh < 1){
									jQuery('.add').first().show();
								}
								})	
								
							var divs = jQuery('.roomArea').nextUntil('.clear'); //wrap n' stuff
    						for(var i = 0; i < divs.length; i+=3) {
      						divs.slice(i, i+3).wrapAll( "<div class='clearRoom'> </div>");
    						}
							jQuery('.Dimensions').each(function(){ // takes the room function and runs through this function and the next to determine what level to shdow and which to hide.
								if (jQuery(this).val() == '') {									
									jQuery(this).parent().parent().parent().hide();
									}
									jQuery('.Dimensions').eq(0).parent().parent().parent().show();
									//jQuery('.Dimensions').eq(0).parent().parent().prev().prev().children().eq(1).children().remove(".remove");	
									
								});	
								var lengh = jQuery('.clearRoom').filter(':visible').length;
									if (lengh > 1){
									jQuery('.add').first().hide();
									}	
									
															
					});
				</script>
                
 <?php
	// Use nonce for verification
	echo '<input type="hidden" name="listing_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
	foreach ($meta_box[$post->post_type]['fields'] as $field) {
		// get current post meta data
		$meta = get_post_meta($post->ID, $field['id'], true);
		$title = $field['name'];
		echo '<div class="boxes">'.
		'<div class="box-label"><label for="'. $field['id'] .'">'. $title = str_replace("_", " ",$title) . '</label></div>'.
		'<div class="box-content">';
		switch ($field['type']) {
			case 'roomArea':
				echo '<div class="roomArea"></div>';
				break;
			case 'newArea':
				echo '<div class="newArea"></div>';
				break;
			case 'saveBTN':
				echo '<a id="geocode" class="button">Save Address</a>';
				break;
			case 'mapPre':
				echo '<div id="addresspreview" style="float: right; width: 200px; height: 140px; border: 1px solid #DFDFDF;"></div>';
				break;
				case 'address':
				echo '<label for ="'. $field['id']. '" </label>';
				echo '<input type="text" name="'. $field['id']. '" class="'. $field['name'] .'" id="'. $field['id'] .'" value="'. ($meta ? $meta : $field['default']) . '" size="30" style="width:97%" />'. '<br />'. $field['desc'];
				break;
			case 'text':
				echo '<input type="text" name="'. $field['id']. '" class="'. $field['name'] .'" id="'. $field['id'] .'" value="'. ($meta ? $meta : $field['default']) . '" size="30" style="width:97%" />'. '<br />'. $field['desc'];
				break;
				
			case 'textarea':
				echo '<textarea name="'. $field['id']. '" id="'. $field['id']. '" class="'. $field['name'] .'" cols="60" rows="4" style="width:97%">'. ($meta ? $meta : $field['default']) . '</textarea>'. '<br />'. $field['desc'];
				break;
			case 'select':
				echo '<select name="'. $field['id'] . '" id="'. $field['id'] .  '" class="'. $field['name'] .'">';
				foreach ($field['options'] as $option) {
					echo '<option '. ( $meta == $option ? ' selected="selected"' : '' ) . '>'. $option . '</option>';
				}
				echo '</select>';
				break;
			case 'tagging':
				echo '<input type="text" name="'. $field['id']. '" class="'. $field['name'] .'" id="'. $field['id'] .'" value="'. ($meta ? $meta : $field['default']) . '" size="30" style="width:97%" />'. '<br />'. $field['desc'];
				
				foreach ($field['options'] as $option) {
					echo '<div class="tag-click-'.$field['id'].'" id="'.$option.'">'.$option .' </div>';
				}
				break;
				
			case 'radio':
				foreach ($field['options'] as $option) {
					echo '<input type="radio" name="' . $field['id'] . '" value="' . $option['value'] . '"' . ( $meta == $option['value'] ? ' checked="checked"' : '' ) . ' />' . $option['name'];
				}
				break;
			case 'checkbox':
				echo '<div class = "checkboxSlide">';
				echo '<input type="checkbox" class="'. $field['name'] .'" value="enabled" name="' . $field['id'] . '" id="CheckboxSlide"' . ( $meta ? ' checked="checked"' : '' ) . ' />';
			  	echo '</div>';
				break;
			case 'checkbox-custom':
				echo '<div class = "checkboxSlide2">';
				echo '<input type="checkbox" class="'. $field['name'] .'" value="enabled" name="' . $field['id'] . '" id="CheckboxSlide2"' . ( $meta ? ' checked="checked"' : '' ) . ' />';
				echo '</div>';
				break;
			case 'room':
				echo '<div class="add">ADD </div>';
				echo '<div class="remove">REMOVE</div>';
				echo '<select name="'. $field['id'] . '" id="'. $field['id'] . '" class="'. $field['name'] . '">';
				foreach ($field['options'] as $option) {
					echo '<option '. ( $meta == $option ? ' selected="selected"' : '' ) . '>'. $option . '</option> ' ;
				}
				echo '</select>';
				
				break;				
			case 'upload':
				echo '<input type="text" name="' . $field['id'] . '" id="' . $field['id'] . '" value="'. ($meta ? $meta : $field['default']) . '" /><input type="button" id="upload_' . $field['id'] . '" name="upload_' . $field['id'] . '" value="Upload"/>'. '<br />'. $field['desc'];
				wp_enqueue_script( 'media-upload' );
					wp_enqueue_script( 'thickbox' );
					wp_enqueue_style( 'thickbox' );
				echo "<script type=\"text/javascript\">
					jQuery('#upload_file-upload').click(function() {
						jQuery('#upload_". $field['id'] ."').click(function() {
							formfield = jQuery('#". $field['id'] ."').attr('name');
							tb_show('', 'media-upload.php?TB_iframe=true');
							return false;
						});
						window.send_to_editor = function(html) {
							imgurl = jQuery(html).attr('href');
							jQuery('#' + formfield).val(imgurl);
							tb_remove();	
						};
					});
				</script>";
				break;
			case 'realtor':
				echo '<select name="'. $field['id'] . '" id="'. $field['id'] . '" class="'. $field['name'] . '">';
				query_posts(array(
					'post_type' => 'realtor',
				));
				if(have_posts()) :
					while(have_posts()) : the_post();
						echo '<option value="'.get_the_ID().'" '. ( $meta == get_the_ID() ? ' selected="selected"' : '' ) . '>'. get_the_title() . '</option>';
					endwhile; 
				endif;
				wp_reset_query();
				echo '</select>';
				break;
		}
		echo       '</div> </div>';
	}
echo '<div class="clear"> </div>';	
}
// Save data from meta box
function listing_save_data($post_id) {
    global $meta_box,  $post;
    
    //Verify nonce
    if (!wp_verify_nonce($_POST['listing_meta_box_nonce'], basename(__FILE__))) {
        return $post_id;
    }
 
    //Check autosave
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }
 
    //Check permissions
    if ('page' == $_POST['post_type']) {
        if (!current_user_can('edit_page', $post_id)) {
            return $post_id;
        }
    } elseif (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }
    
    foreach ($meta_box[$post->post_type]['fields'] as $field) {
        $old = get_post_meta($post_id, $field['id'], true);
        $new = $_POST[$field['id']];
        
        if ($new && $new != $old) {
            update_post_meta($post_id, $field['id'], $new);
        } elseif ('' == $new && $old) {
            delete_post_meta($post_id, $field['id'], $old);
        }
    }
}
 
add_action('save_post', 'listing_save_data');

function ar_details(){
	global $meta_box, $post;
	echo '<dl class="plugin-meta">';
	foreach($meta_box['listing']['fields'] as $value) {
		if( get_post_meta(get_the_ID(), $value['id'], true) != '') {
			echo '<dt>' . $value['name'] . ':</dt><dd>' . get_post_meta(get_the_ID(), $value['id'], true) . '</dd>';
			echo '<br/>';
		}
	}
	echo '</dl>';
	unset($value);
}

 

 