<?php

$themename = "Atomic WP Car";
$shortname = "nt";
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 

require (ARPATH.'/themeOption/options.php'); 

function modular_add_admin() {
	global $themename, $shortname, $options;
	if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			foreach ($options as $value) {
				update_option( $value['id'], $_REQUEST[ $value['id'] ] ); 
			}
			foreach ($options as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); 
				} else { 
					delete_option( $value['id'] ); 
				} 
			}
		header("Location: admin.php?page=functions.php&saved=true");
		die;
	} elseif( 'reset' == $_REQUEST['action'] ) {
		foreach ($options as $value) {
			delete_option( $value['id'] ); }
			header("Location: admin.php?page=functions.php&reset=true");
			die;
		}
	} 
	add_menu_page($themename, $themename, 'administrator', basename(__FILE__), 'modular_admin');
}

function modular_add_init() {
	wp_enqueue_style("functions", ARURL."/themeOption/functions/themeoption.css", false, "1.0", "all");
	wp_enqueue_style("uiCss", ARURL."/themeOption/functions/UICss.css", false, "1.0", "all");
	wp_enqueue_style("colorCSS", ARURL."/themeOption/functions/color.css", false, "1.0", "all");
	wp_enqueue_style("tip", ARURL."/themeOption/functions/tipTip.css", false, "1.0", "all");
	wp_enqueue_script("rm_script", ARURL."/themeOption/functions/rm_script.js", false, "1.0");
	wp_enqueue_script("accord", ARURL."/themeOption/functions/accordScript.js", false, "1.0");
	wp_enqueue_script("tiptip", ARURL."/themeOption/functions/jquery.tipTip.minified.js", false, "1.0");
	wp_enqueue_script("ready", ARURL."/themeOption/functions/ready.js", false, "1.0");
	wp_enqueue_script("color2", ARURL."/themeOption/functions/color2.js", false, "1.0");
}

function modular_admin() {
	global $themename, $shortname, $options;
	$i=0;
	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>'; ?>
	<div class="wrap rm_wrap">
		<h2><?php echo $themename; ?> Settings</h2>
 		<div class="rm_opts">
			<form method="post">
				<?php foreach ($options as $value) {
					$val = (get_settings($value['id']) != "") ? stripslashes(get_settings( $value['id'])) : $value['std'];
					switch ( $value['type'] ) {
						case "fonts":
						?>
						<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300' rel='stylesheet' type='text/css'>
                        <?php 
						break;
						case "clear":
						?>
                        <div class="breakClear"></div>
						<?php
						break;
						case "navAccordOpen":
						?>
                        <div id="accordion">
                        <?php break; 
						case "navAccordClose":
						?>
                        </div>
                        <?php break; 
						case "navAccordItem":?>						
						<div class="link-header"><?php echo $value['name']; ?></div>
                        <div class="link-content"><?php echo $value['desc']; ?></div>
					    <?php break;						
						case "slide":
						$i=1;
						?> 
						<div id="slide<?php echo $i; ?>" class="slide">
						<div class="content">
						<?php
						break;
						case "slideOverflow":
						?> 
						<div id="slideOver" class="slide">
						<div class="content">
						<?php
						break;						
						case "pages": ?>
                        <div class="rm_input rm_select">
								<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
								<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
									<?php $pages = get_pages(); ?>
									<?php foreach ( $pages as $page ) {	?>
<option <?php echo (get_option('ntpageSMap') == get_page_link( $page->ID )) ? 'selected="selected"' : ''; ?> value="<?php echo get_page_link( $page->ID ); ?>"><?php echo $page->post_title; ?></option>
									<?php } ?>
								</select>
								<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
							</div>
						 <?php
						break;	
						case "closeSlide":
						?> 
						</div></div>
						<?php
						break;	
						case "open":
						?> 
						<div id="slidorion">
						<div id="slider">
						<?php
							break;
 						case "close": ?>
						</div>
												
						<?php break;
						case "closeEnd": ?>
						</div>
												
						<?php break;
 						case 'color' :
						echo '
						<div class="rm_input rm_text">
						<label for="'.$value['id'] .'">'. $value['name'].'</label>
						<input type="text" name="' . $value['id'] . '" id="' . $value['id'] . '" class="cuztom_colorpicker colorpicker" value="' . ( ! empty( $val ) ? $val : $value['std'] ) . '" />
						</div>';
						break;
						case "title": ?>
							<p>To easily use the <?php echo $themename;?> theme, you can use the menu below.</p>
							<?php break;
 						case 'text': ?>
							<div class="rm_input rm_text">
								<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
							 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo $val; ?>" />
								<a href="" class="tip" title="<?php echo $value['desc']; ?>"></a>
							</div> <?php
							break;
 						case 'textarea': ?>
							<div class="rm_input rm_textarea">
								<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
								<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php echo $val; ?></textarea>
								<a href="" class="tip" title="<?php echo $value['desc']; ?>"></a>
							</div> <?php
							break;
						case 'select': ?>
							<div class="rm_input rm_select">
								<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
								<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
									<?php foreach ($value['options'] as $val => $option) { ?>
										<option <?php echo (get_settings($value['id']) == $option) ? 'selected="selected"' : ''; ?> value="<?php echo $val; ?>"><?php echo $option; ?></option>
									<?php } ?>
								</select>
								<a href="" class="tip" title="<?php echo $value['desc']; ?>"></a>
                                
							</div> <?php
							break;
						case "checkbox": ?>
							<div class="rm_input rm_checkbox">
								<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
								<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
								<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
								<a href="" class="tip" title="<?php echo $value['desc']; ?>"></a>
							</div> <?php
							break; 
						case"save":$i++;?>
                        <span class="submit">
										<input name="save<?php echo $i; ?>" type="submit" value="Save changes" id="themeSave" />
									</span>
						<?php break;
						case "section":
							 ?>						
									<h3><?php echo $value['name']; ?></h3>
									
									<div class="clearfix"></div>
								<?php
							break;
						case 'upload':
							echo '<div class="rm_input rm_upload">';
							wp_enqueue_script( 'media-upload' );
							wp_enqueue_script( 'thickbox' );
							wp_enqueue_style( 'thickbox' );
							echo '
							<label for="' . $value['id'] . '">' . $value['name'] . '</label>
							<input type="text" name="' . $value['id'] . '" id="' . $value['id'] . '" value="'. $val . '" />
							<input type="button" id="upload_' . $value['id'] . '" name="upload_' . $value['id'] . '" value="Upload"/>' .
							"<script type=\"text/javascript\">
								jQuery(document).ready(function() {
									jQuery('#upload_". $value['id'] ."').click(function() {
										formfield = jQuery('#". $value['id'] ."').attr('name');
										tb_show('', 'media-upload.php?TB_iframe=true');
										return false;
									});
									window.send_to_editor = function(html) {
										imgurl = jQuery(html).attr('href');
										jQuery('#' + formfield).val(imgurl);
										tb_remove();	
									};
								});
							</script>".'
							<small>' . $value['desc'] . '</small><div class="clearfix"></div>
							</div>
							';							
							break;
 					} //End switch
				} // End foreach?>
			
				<input type="hidden" name="action" value="save" />
			</form>
			<form method="post">
				<p class="submit">
					<input name="reset" type="submit" value="Reset" />
					<input type="hidden" name="action" value="reset" />
				</p>
			</form>
		</div>
<?php } ?>
<?php
add_action('admin_init', 'modular_add_init');
add_action('admin_menu', 'modular_add_admin');
?>