<?php /*
--------------------------------------------
Template Redirect | We don't really want our
post type using the defualt page or single 
tempaltes so we've set up our own hierarchy
--------------------------------------------
*/
add_action("template_redirect", 'realty_template_redirect'); 
function realty_template_redirect() {
	global $wp;
	global $query;
	global $wp_query;
	if(is_page()){
			if (get_post_meta(get_the_ID(), 'carPage', true) == 'Yes') {	
			if( file_exists(STYLESHEETPATH.'/listing-archive.php')) { //We don't know if this will be used on a child theme or not, so check the child folder first
				include(STYLESHEETPATH.'/listing-archive.php'); 
				die();
			} elseif(file_exists(TEMPLATEPATH.'/listing-archive.php')) { // If there isn't a template file there then check the parent theme (may be the same as the previous of no child theme)
				include(TEMPLATEPATH.'/listing-archive.php');
				die();
			} elseif(file_exists(ARPATH.'/post-type/template-archive.php')) { // If none of those exist, use our defualt one
				include(ARPATH.'/post-type/template-archive.php');
				die();
			} 
			}}
	if ($wp->query_vars["post_type"] == "cars") {		
	if(is_single()){
			if(have_posts()) {				

				if( file_exists(STYLESHEETPATH.'/listing-single.php')) { //We don't know if this will be used on a child theme or not, so check the child folder first
					include(STYLESHEETPATH.'/listing-single.php'); 
					die();
				} elseif(file_exists(TEMPLATEPATH.'/listing-single.php')) { // If there isn't a template file there then check the parent theme (may be the same as the previous of no child theme)
					include(TEMPLATEPATH.'/listing-single.php');
					die();
				} elseif(file_exists(ARPATH.'/post-type/template-single.php')) { // If none of those exist, use our defualt one
					include(ARPATH.'/post-type/template-single.php');
					die();
				} else { // And last but not least, if something has happened to ours, use the default single template 
					$wp_query->is_single = true;
				}
			} else {
				$wp_query->is_404 = true;
			}
		} elseif(is_archive()){
			if( file_exists(STYLESHEETPATH.'/listing-archive.php')) { //We don't know if this will be used on a child theme or not, so check the child folder first
				include(STYLESHEETPATH.'/listing-archive.php'); 
				die();
			} elseif(file_exists(TEMPLATEPATH.'/listing-archive.php')) { // If there isn't a template file there then check the parent theme (may be the same as the previous of no child theme)
				include(TEMPLATEPATH.'/listing-archive.php');
				die();
			} elseif(file_exists(ARPATH.'/post-type/template-archive.php')) { // If none of those exist, use our defualt one
				include(ARPATH.'/post-type/template-archive.php');
				die();
			} 	
		}else { // And last but not least, if something has happened to ours, use the default single template
				$wp_query->is_archive = true;
				}
			
			}
		}


function runresponse() {
		if($_GET['thing'] == 'yes') {
			require_once(ABSPATH.'wp-content/plugins/Atomic-wp-car/admin/prop-detail/response.php');
			die();
		}
	}
	
add_action('template_redirect', 'runresponse');