<?php /*

Plugin Name: Atomic WP Car Dealer

Plugin URI: http://www.persianscript.ir

Description: A plugin That allows for dealership input and displays output.

Author: ThemeREACTOR

Version: 2.0

Author URI: http://www.persianscript.ir




/*
-----------------------------------------------
Get the rest of the files required
-----------------------------------------------
*/
define('ARPATH',WP_PLUGIN_DIR.'/Atomic-wp-car');
define('ARURL',WP_PLUGIN_URL.'/Atomic-wp-car'); // Where are we?

require_once(ARPATH.'/admin/admin.php');
require_once(ARPATH.'/post-type/post-functions.php');
require_once(ARPATH.'/post-type/redirect.php');
require_once(ARPATH.'/post-type/meta-box.php');
require_once(ARPATH.'/admin/shortcodes.php');
require_once(ARPATH.'/admin/widget.php');
require_once(ARPATH.'/themeOption/functions.php');

function currency () {
	if (get_option('ntcurrency') == 'Dollar') {return "$";}	
	if (get_option('ntcurrency') == 'Pound') {return "&pound;";}
	if (get_option('ntcurrency') == 'Yen') {return "&yen;";}
	if (get_option('ntcurrency') == 'Euro') {return "&euro;";}
	if (get_option('ntcurrency') == 'Universal') {return "&curren;";}
	
}

/*
-----------------------------------------------
Enqueue Scripts
-----------------------------------------------
*/
add_action('wp_enqueue_scripts', 'ar_enqueue');
function ar_enqueue() {
	wp_register_script( 'jquery', 'http://code.jquery.com/jquery-1.7.2.min.js', '1.7.2' );
}

/*
-----------------------------------------------
Activation / Deactivation procedures
-----------------------------------------------
*/
add_action('admin_init', 'ar_init');

register_activation_hook(__FILE__, "ar_activate");

function ar_init(){
   if(function_exists(register_setting)){
		register_setting("ar_options", "ar_status, ar_NAtoggle");
	}
}

function ar_activate(){
	add_option("ar_status", "default");
}

function uploadfix() {
	wp_enqueue_script('upfix', ARURL.'/js/uploader.js', array(), '1.0', false);
}
add_action( 'admin_enqueue_scripts', 'uploadfix' );